Package org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated

## Class NQuadsParserBenchmark_parseBufferedReader_jmhTest

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.NQuadsParserBenchmark_parseBufferedReader_jmhTest

-     public final class NQuadsParserBenchmark_parseBufferedReader_jmhTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NQuadsParserBenchmark_parseBufferedReader_jmhTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `parseBufferedReader_AverageTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `parseBufferedReader_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, NQuadsParserBenchmark_jmhType l_nquadsparserbenchmark0_G)` |
    `static void` | `parseBufferedReader_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, org.openjdk.jmh.util.SampleBuffer buffer, int targetSamples, long opsPerInv, int batchSize, NQuadsParserBenchmark_jmhType l_nquadsparserbenchmark0_G)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `parseBufferedReader_SampleTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `parseBufferedReader_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `parseBufferedReader_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, int batchSize, NQuadsParserBenchmark_jmhType l_nquadsparserbenchmark0_G)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `parseBufferedReader_Throughput​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `parseBufferedReader_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, NQuadsParserBenchmark_jmhType l_nquadsparserbenchmark0_G)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NQuadsParserBenchmark_parseBufferedReader_jmhTest

          public NQuadsParserBenchmark_parseBufferedReader_jmhTest()

  - ### Method Detail

    - #### parseBufferedReader_Throughput

          public org.openjdk.jmh.results.BenchmarkTaskResult parseBufferedReader_Throughput​(org.openjdk.jmh.runner.InfraControl control,
                                                                                            org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                     throws Throwable

      Throws:
        `Throwable`

    - #### parseBufferedReader_thrpt_jmhStub

          public static void parseBufferedReader_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                               org.openjdk.jmh.results.RawResults result,
                                                               org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                               org.openjdk.jmh.infra.IterationParams iterationParams,
                                                               org.openjdk.jmh.infra.ThreadParams threadParams,
                                                               org.openjdk.jmh.infra.Blackhole blackhole,
                                                               org.openjdk.jmh.infra.Control notifyControl,
                                                               int startRndMask,
                                                               NQuadsParserBenchmark_jmhType l_nquadsparserbenchmark0_G)
                                                        throws Throwable

      Throws:
        `Throwable`

    - #### parseBufferedReader_AverageTime

          public org.openjdk.jmh.results.BenchmarkTaskResult parseBufferedReader_AverageTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                             org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                      throws Throwable

      Throws:
        `Throwable`

    - #### parseBufferedReader_avgt_jmhStub

          public static void parseBufferedReader_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                              org.openjdk.jmh.results.RawResults result,
                                                              org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                              org.openjdk.jmh.infra.IterationParams iterationParams,
                                                              org.openjdk.jmh.infra.ThreadParams threadParams,
                                                              org.openjdk.jmh.infra.Blackhole blackhole,
                                                              org.openjdk.jmh.infra.Control notifyControl,
                                                              int startRndMask,
                                                              NQuadsParserBenchmark_jmhType l_nquadsparserbenchmark0_G)
                                                       throws Throwable

      Throws:
        `Throwable`

    - #### parseBufferedReader_SampleTime

          public org.openjdk.jmh.results.BenchmarkTaskResult parseBufferedReader_SampleTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                            org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                     throws Throwable

      Throws:
        `Throwable`

    - #### parseBufferedReader_sample_jmhStub

          public static void parseBufferedReader_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                                org.openjdk.jmh.results.RawResults result,
                                                                org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                                org.openjdk.jmh.infra.IterationParams iterationParams,
                                                                org.openjdk.jmh.infra.ThreadParams threadParams,
                                                                org.openjdk.jmh.infra.Blackhole blackhole,
                                                                org.openjdk.jmh.infra.Control notifyControl,
                                                                int startRndMask,
                                                                org.openjdk.jmh.util.SampleBuffer buffer,
                                                                int targetSamples,
                                                                long opsPerInv,
                                                                int batchSize,
                                                                NQuadsParserBenchmark_jmhType l_nquadsparserbenchmark0_G)
                                                         throws Throwable

      Throws:
        `Throwable`

    - #### parseBufferedReader_SingleShotTime

          public org.openjdk.jmh.results.BenchmarkTaskResult parseBufferedReader_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                                org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                         throws Throwable

      Throws:
        `Throwable`

    - #### parseBufferedReader_ss_jmhStub

          public static void parseBufferedReader_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                            org.openjdk.jmh.results.RawResults result,
                                                            org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                            org.openjdk.jmh.infra.IterationParams iterationParams,
                                                            org.openjdk.jmh.infra.ThreadParams threadParams,
                                                            org.openjdk.jmh.infra.Blackhole blackhole,
                                                            org.openjdk.jmh.infra.Control notifyControl,
                                                            int startRndMask,
                                                            int batchSize,
                                                            NQuadsParserBenchmark_jmhType l_nquadsparserbenchmark0_G)
                                                     throws Throwable

      Throws:
        `Throwable`